Bug 42853 - upgrade 7.0 to 7.1 fails to mount raid devices.
upgrade 7.0 to 7.1 fails to mount raid devices.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 09:40 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 09:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-30 09:40:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-20mdk i686)

Description of problem:
when upgrading from 7.0 to 7.1 upgrade/install
program fails to mount raid devices and upgrade fails.

How reproducible:
Always

Steps to Reproduce:
1.install redhat 7.0
2. move /usr and /var to raid partitions
3.attempt upgrade 
	

Additional info:

anacron's dumped info saved to floppy.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/upgrade_text.py",
line 194, in __call__
    todo.upgradeMountFilesystems (root)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1187, in
upgradeMountFilesystems
    allowDirty = 0)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/upgrade.py", line 88, in
mountRootPartition
    fstab.readFstab(instPath + '/etc/fstab', theFstab)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 1196, in
readFstab
    fields[2], raidByDev[int(fields[0][7:])])
KeyError: 0

Local variables in innermost frame:
loopIndex: {}
fstab: <fstab.NewtFstab instance at 8251948>
labelsByMount: {}
line: /dev/md0		/usr			ext2	defaults	1 2

path: /mnt/sysimage/etc/fstab
device: sda3
raidByDev: {}
fsystem: swap
drives: ['sda', 'sdb', 'sdc']
lines: ['/dev/sda5               /                       ext2   
defaults        1 1\012', '/dev/cdrom              /mnt/cdrom             
iso9660 noauto,owner,ro 0 0\012', '/dev/fd0               
/mnt/floppy             auto    noauto,owner    0 0\012',
'none                    /proc                   proc    defaults        0
0\012', 'none                    /dev/pts                devpts 
gid=5,mode=620  0 0\012', '/dev/sda3               swap                   
swap    defaults        0 0\012',
'/dev/md0\011\011/usr\011\011\011ext2\011defaults\0111 2\012',
'/dev/md1\011\011/var\011\011\011ext2\011defaults\0111 2\012']
labels: {}
fields: ['/dev/md0', '/usr', 'ext2', 'defaults', '1', '2']
f: <open file '/mnt/sysimage/etc/fstab', mode 'r' at 829b2b0>
raidList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'serial'
p8
I0
sS'ddruidReadOnly'
p9
I0
sS'bootdisk'
p10
I0
sS'videoRamState'
p11
S''
sS'monitorOriginalName'
p12
S''
sS'language'
p13
(itodo
Language
(dp14
S'langInfoByName'
p15
(dp16
S'Arabic (Yemen)'
p17
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p18
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p19
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p20
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p21
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p22
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p23
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p24
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p25
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p26
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p27
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p28
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p29
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p31
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p32
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p33
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p34
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p35
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p36
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p37
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p38
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p39
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p40
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p41
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p42
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p43
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p44
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p45
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p46
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p47
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p48
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p49
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p50
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p51
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p52
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p53
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p54
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p55
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p56
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p57
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p58
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p59
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p60
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p61
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p62
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p63
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p64
(S'en_US'
S'iso01'
S'lat0-sun16'
tsS'Spanish (USA)'
p65
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p66
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p67
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p68
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p69
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p70
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p71
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p72
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p73
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p74
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p75
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p76
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p77
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p78
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p79
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p80
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p81
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p82
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p83
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p84
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p85
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p86
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p87
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p88
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p89
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p90
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p91
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p92
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p93
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p94
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p95
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p96
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p97
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p98
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p99
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p100
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p101
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p102
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p103
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p104
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p105
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p106
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p107
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p108
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p109
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p110
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p111
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p112
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p113
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p114
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p115
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p116
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p117
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p118
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p119
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p120
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p121
(lp122
g46
ag79
ag50
ag29
ag95
ag25
ag76
ag26
ag20
ag23
ag48
ag24
ag94
ag103
ag117
ag73
ag99
ag59
ag17
ag93
ag113
ag53
ag58
ag30
ag74
ag52
ag83
ag42
ag112
ag119
ag106
ag41
ag86
ag111
ag97
ag56
ag49
ag82
ag27
ag64
ag89
ag116
ag54
ag80
ag96
ag105
ag31
ag100
ag28
ag55
ag60
ag78
ag107
ag91
ag110
ag36
ag32
ag63
ag98
ag118
ag51
ag75
ag19
ag77
ag101
ag33
ag70
ag22
ag120
ag47
ag88
ag68
ag66
ag45
ag61
ag87
ag44
ag43
ag69
ag108
ag18
ag57
ag72
ag92
ag40
ag104
ag37
ag67
ag21
ag39
ag35
ag90
ag84
ag62
ag38
ag114
ag71
ag65
ag109
ag85
ag102
ag81
ag115
ag34
asS'info'
p123
(dp124
S'SUPPORTED'
p125
NssS'supported'
p126
(lsS'default'
p127
NsbsS'instClass'
p128
(iinstallclass
DefaultInstall
p129
(dp130
S'rootPasswordCrypted'
p131
I0
sS'raidList'
p132
(lsS'nameserver'
p133
S''
sS'x'
NsS'rootPassword'
p134
NsS'makeBootdisk'
p135
I0
sS'installType'
p136
NsS'postScript'
p137
NsS'earlySwapOn'
p138
I0
sS'networkDevice'
p139
NsS'fstab'
p140
(lsS'clearText'
p141
NsS'lilo'
p142
(S'mbr'
p143
I1
S''
tsg13
NsS'name'
p144
S''
sS'postInChroot'
p145
I0
sS'pixmap'
p146
S''
sS'partitions'
p147
(lsS'clearType'
p148
NsS'gateway'
p149
S''
sS'mouse'
p150
NsS'packages'
p151
NsS'timezone'
p152
NsS'zeroMbr'
p153
I0
sS'keyboard'
p154
NsS'groups'
p155
NsS'bootProto'
p156
NsS'netmask'
p157
S''
sS'langdefault'
p158
NsS'skipSteps'
p159
(dsS'auth'
p160
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p161
NsS'langsupported'
p162
NsS'showgroups'
p163
NsS'ip'
p164
S''
sS'firewall'
p165
(I-1
I1
(lp166
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p167
NsS'desktop'
p168
S''
sS'clearPartText'
p169
NsS'clearParts'
p170
I0
sbsS'bdstate'
p171
S''
sS'extraModules'
p172
(lp173
sS'rootpassword'
p174
NsS'fdDevice'
p175
S'fd0'
p176
sS'installSystem'
p177
I1
sS'comps'
p178
NsS'verifiedState'
p179
Nsg160
(itodo
Authentication
(dp180
S'useNIS'
p181
I0
sS'nisServer'
p182
S''
sS'useLdap'
p183
I0
sS'krb5Kdc'
p184
S''
sS'ldapTLS'
p185
S''
sS'useHesiod'
p186
I0
sS'ldapServer'
p187
S''
sS'nisDomain'
p188
S''
sS'krb5Realm'
p189
S''
sS'useLdapauth'
p190
I0
sS'hesiodRhs'
p191
S''
sS'useShadow'
p192
I1
sS'nisuseBroadcast'
p193
I0
sS'useKrb5'
p194
I0
sS'useMD5'
p195
I1
sS'ldapBasedn'
p196
S''
sS'krb5Admin'
p197
S''
sS'hesiodLhs'
p198
S''
sS'hesiodDlhs'
p199
S''
sbsS'users'
p200
NsS'hdList'
p201
NsS'dhcpState'
p202
S''
sS'method'
p203
(iimage
CdromInstallMethod
p204
(dp205
g4

<failed>
Comment 1 Brent Fox 2001-06-04 10:37:02 EDT
Can you attach your /etc/fstab file and the output of 'fdisk -l' on your hard
drives?
Comment 2 Need Real Name 2001-06-04 10:47:20 EDT
/etc/fstab reads
---------BEGIN FILE---------
/dev/sda5               /                       ext2    defaults        1 1
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda3               swap                    swap    defaults        0 0
/dev/md0                /usr                    ext2    defaults        1 2
/dev/md1                /var                    ext2    defaults        1 2
/dev/sdc2               /mnt/sdc                ext2    defaults        1 2

---------END FILE-------

#fdisk -l /dev/sda 

Disk /dev/sda: 168 heads, 60 sectors, 1770 cylinders
Units = cylinders of 10080 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1       575   2897970   83  Linux
/dev/sda2           576       680    529200   83  Linux
/dev/sda3           681       785    529200   82  Linux swap
/dev/sda4           786      1770   4964400    5  Extended
/dev/sda5           786       836    257010   83  Linux
/dev/sda6           837       846     50370   83  Linux
/dev/sda7           847       865     95730   83  Linux
/dev/sda8           866      1074   1053330   83  Linux
/dev/sda9          1075      1283   1053330   83  Linux
/dev/sda10         1284      1492   1053330   83  Linux

# fdisk -l /dev/sdb

Disk /dev/sdb: 255 heads, 63 sectors, 1115 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             1       361   2899701   83  Linux
/dev/sdb2           362       427    530145   83  Linux
/dev/sdb3           428       493    530145   82  Linux swap
/dev/sdb4           494      1115   4996215    5  Extended
/dev/sdb5           494       525    257008+  83  Linux
/dev/sdb6           526       531     48163+  83  Linux
/dev/sdb7           532       543     96358+  83  Linux
/dev/sdb8           544       674   1052226   83  Linux
/dev/sdb9           675       805   1052226   83  Linux
/dev/sdb10          806       936   1052226   83  Linux

# more /etc/raidtab
raiddev /dev/md0
        raid-level      1
        nr-raid-disks   2
        persistent-superblock 1
        chunk-size      4

        device  /dev/sda1
        raid-disk 0
        device  /dev/sdb1
        raid-disk 1

raiddev /dev/md1
        raid-level      1
        nr-raid-disks   2
        persistent-superblock   1
        chunk-size      4

        device  /dev/sda2
        raid-disk       0
        device  /dev/sdb2
        raid-disk       1


Comment 3 Brent Fox 2001-06-04 14:43:26 EDT
It looks like the installer is having problems reading the /etc/fstab file at line:

/dev/md0
	/usr			ext2	defaults	1 2

Can you edit this file and make sure that there are no tabs.  Make sure that you
use real whitespace instead.  I know that this shouldn't make a difference, but
I've seen this happen to other people before.  If this fixes it, let me know,
because that's probably a bug in the way the installer is parsing the /etc/fstab
file.
Comment 4 Brent Fox 2001-06-14 09:57:08 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.